import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema'

const shoppingvendorscalarwhereinputSchema = z.object({
  AND: z.union([z.lazy(() => ShoppingVendorScalarWhereInputObjectSchema), z.lazy(() => ShoppingVendorScalarWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => ShoppingVendorScalarWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => ShoppingVendorScalarWhereInputObjectSchema), z.lazy(() => ShoppingVendorScalarWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  vendorName: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  websiteUrl: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  loginUsername: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  loginPassword: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional()
}).strict();
export const ShoppingVendorScalarWhereInputObjectSchema: z.ZodType<Prisma.ShoppingVendorScalarWhereInput> = shoppingvendorscalarwhereinputSchema as unknown as z.ZodType<Prisma.ShoppingVendorScalarWhereInput>;
export const ShoppingVendorScalarWhereInputObjectZodSchema = shoppingvendorscalarwhereinputSchema;
